apiVersion: apps/v1
kind: Deployment
metadata:
  name: hr-employee-postgres-deployment
  namespace: ingress-nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hr-employee-postgres-app
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: hr-employee-postgres-app
    spec:
      containers:
        - name: hr-employee-postgres-container
          image: postgres:16.6
          env:
            - name: PGDATA
              value: '/var/lib/postgresql/data/db'
            - name: POSTGRES_USER
              value: 'root'
            - name: POSTGRES_PASSWORD
              value: '123123'
            - name: POSTGRES_DB
              value: 'hr_employees_db'
          ports:
            - containerPort: 5432
          volumeMounts:
            - name: hr-employee-postgres-storage
              mountPath: /var/lib/postgresql/data
      volumes:
        - name: hr-employee-postgres-storage
          persistentVolumeClaim:
            claimName: ebs-hr-employee-postgres-data-pvc
---
apiVersion: v1
kind: Service
metadata:
  name: hr-employee-postgres-service
  namespace: ingress-nginx
spec:
  selector:
    app: hr-employee-postgres-app
  ports:
    - port: 5432
  # clusterIP: None